QwtSplineCurveFitter(3)

NAME
QwtSplineCurveFitter - A curve fitter using cubic splines.

SYNOPSIS

#include <qwt_curve_fitter.h>

Inherits QwtCurveFitter.

  Public Types
enum FitMode { Auto, Spline, ParametricSpline }

  Public Member Functions
QwtSplineCurveFitter ()
virtual ~QwtSplineCurveFitter ()
void setFitMode (FitMode)
FitMode fitMode () const
void setSpline (const QwtSpline &)
const QwtSpline & spline () const
QwtSpline & spline ()
void setSplineSize (int size)
int splineSize () const
virtual QPolygonF fitCurve (const QPolygonF &) const

Detailed Description

A curve fitter using cubic splines.

Constructor & Destructor Documentation

  QwtSplineCurveFitter::QwtSplineCurveFitter ()

Constructor.

  QwtSplineCurveFitter::~QwtSplineCurveFitter () [virtual]

Destructor.

Member Function Documentation

  QPolygonF QwtSplineCurveFitter::fitCurve (const QPolygonF & points) const [virtual]

Find a curve which has the best fit to a series of data points

Parameters:
    points Series of data points

Returns:
    Curve points

Implements QwtCurveFitter.

  QwtSplineCurveFitter::FitMode QwtSplineCurveFitter::fitMode () const

Returns:
    Mode representing a spline algorithm

See also:
    setFitMode()

  void QwtSplineCurveFitter::setFitMode (FitMode mode)

Select the algorithm used for building the spline

Parameters:
    mode Mode representing a spline algorithm

See also:
    fitMode()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.